%{?nodejs_find_provides_and_requires}

%global packagename signal-exit
%global enable_tests 0
# tests disabled in order to bootstrap newer npm(tap)

Name:		nodejs-signal-exit
Version:	2.1.2
Release:	1%{?dist}
Summary:	When you want to fire an event no matter how a process exits

License:	ISC
URL:		https://github.com/bcoe/signal-exit.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tap)
%endif

Requires:	nodejs

%description
When you want to fire an event no matter how a process exits.


%prep
%setup -q -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{_bindir}/tap --timeout=240 ./test/*.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE.txt
%{nodejs_sitelib}/%{packagename}


%changelog
* Tue Oct 27 2015 Jared Smith <jsmith@fedoraproject.org> - 2.1.2-1
- Initial packaging
- Disable tests until we can bootstrap a newer npm(tap)
